;;
;; Windows Pidgin NSIS installer language macros
;;

!macro DELUGE_MACRO_DEFAULT_STRING LABEL VALUE
  !ifndef "${LABEL}"
    !define "${LABEL}" "${VALUE}"
    !ifdef INSERT_DEFAULT
      !warning "${LANG} lang file missing ${LABEL}, using default..."
    !endif
  !endif
!macroend

!macro DELUGE_MACRO_LANGSTRING_INSERT LABEL LANG
  LangString "${LABEL}" "${LANG_${LANG}}" "${${LABEL}}"
  !undef "${LABEL}"
!macroend

!macro DELUGE_MACRO_LANGUAGEFILE_BEGIN LANG
  !define CUR_LANG "${LANG}"
!macroend

!macro DELUGE_MACRO_LANGUAGEFILE_END
  !define INSERT_DEFAULT
  !include "${DELUGE_DEFAULT_LANGFILE}"
  !undef INSERT_DEFAULT

  ; Pidgin Language file Version 3
  ; String labels should match those from the default language file.

  ; Startup checks
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT INSTALLER_IS_RUNNING		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_IS_RUNNING			${CUR_LANG}

  ; License Page
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_LICENSE_BUTTON			${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_LICENSE_BOTTOM_TEXT		${CUR_LANG}

  ; Components Page
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_SECTION_TITLE		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_SHORTCUTS_SECTION_TITLE	${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_DESKTOP_SHORTCUT_SECTION_TITLE ${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_STARTMENU_SHORTCUT_SECTION_TITLE	${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_SECTION_DESCRIPTION	${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_SHORTCUTS_SECTION_DESCRIPTION	${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_DESKTOP_SHORTCUT_DESC		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_STARTMENU_SHORTCUT_DESC	${CUR_LANG}

  ; Installer Finish Page
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_FINISH_VISIT_WEB_SITE		${CUR_LANG}

  ; Pidgin Section Prompts and Texts
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_PROMPT_CONTINUE_WITHOUT_UNINSTALL	${CUR_LANG}


  ; Uninstall Section Prompts
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT un.DELUGE_UNINSTALL_ERROR_1		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT un.DELUGE_UNINSTALL_ERROR_2		${CUR_LANG}

  ; Association and startup
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_ASSOCIATE_TORRENT_TITLE		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_ASSOCIATE_TORRENT_DESC		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_WINDOWS_SETTINGS_TITLE		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_WINDOWS_SETTINGS_DESC		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_WINDOWS_START_TITLE		${CUR_LANG}
  !insertmacro DELUGE_MACRO_LANGSTRING_INSERT DELUGE_WINDOWS_START_DESC		${CUR_LANG}

  !undef CUR_LANG
!macroend

!macro DELUGE_MACRO_INCLUDE_LANGFILE LANG FILE
  !insertmacro DELUGE_MACRO_LANGUAGEFILE_BEGIN "${LANG}"
  !include "${FILE}"
  !insertmacro DELUGE_MACRO_LANGUAGEFILE_END
!macroend
