from distutils.core import setup
from distutils import dir_util
from distutils import file_util
from deluge import common
import _winreg
import py2exe

print common.INSTALL_PREFIX

DIST_DIR = '../dist'

print "Copying deluge files..."
dir_util.copy_tree(common.INSTALL_PREFIX + '\\share\\deluge', DIST_DIR + '\\share\\deluge',verbose=1,update=1)
dir_util.copy_tree('..\\..\\build\\locale',DIST_DIR + '\\share\\locale',verbose=1,update=1)
print "Copying GTK+ files..."
gtk_path = _winreg.QueryValueEx(_winreg.OpenKey(_winreg.HKEY_LOCAL_MACHINE,r"SOFTWARE\GTK\2.0"),'Path')[0]
print "GTK found at : " + gtk_path
dir_util.copy_tree(gtk_path + r'\etc', DIST_DIR + r'\etc',verbose=1)
dir_util.copy_tree(gtk_path + r'\lib\gtk-2.0\2.10.0', DIST_DIR + r'\lib\gtk-2.0\2.10.0',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\lib\pango', DIST_DIR + r'\lib\pango',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\lib\pkgconfig', DIST_DIR + r'\lib\pkgconfig',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\share\aclocal', DIST_DIR + r'\share\aclocal',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\share\pixmaps', DIST_DIR + r'\share\pixmaps',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\share\themes', DIST_DIR + r'\share\themes',verbose=1,update=1)
dir_util.copy_tree(gtk_path + r'\share\xml', DIST_DIR + r'\share\xml',verbose=1,update=1)
file_util.copy_file(gtk_path +r'\bin\libexpat.dll', DIST_DIR, verbose=1,update=1)
file_util.copy_file(gtk_path +r'\bin\iconv.dll', DIST_DIR, verbose=1,update=1)
file_util.copy_file(gtk_path +r'\bin\libpangowin32-1.0-0.dll', DIST_DIR, verbose=1,update=1)
file_util.copy_file(gtk_path +r'\bin\libpng13.dll', DIST_DIR, verbose=1,update=1)
file_util.copy_file(gtk_path +r'\bin\zlib1.dll', DIST_DIR, verbose=1,update=1)
#theming
file_util.copy_file(r'..\themes\gtkrc', DIST_DIR + r'\etc\gtk-2.0',verbose=1,update=1)
dir_util.copy_tree(r'..\themes\Tango', DIST_DIR + r'\share\icons\Tango', verbose=1, update=1)
print "Copying dbus-daemon..."
dir_util.copy_tree('../dbus-daemon', DIST_DIR + r'\dbus-daemon',verbose=1,update=1)
print "Copying version number..."
open("../version.nsh","w").write("!define DELUGE_VERSION " + common.PROGRAM_VERSION)

setup(    options = {
                  'py2exe': {
                      'packages':'encodings',
                      'includes': 'cairo, pango, pangocairo, atk, gobject,gzip,zipfile,ConfigParser,sgmllib,cgi,urllib2,Cookie,md5,SimpleHTTPServer,Queue',
                      'dist_dir':DIST_DIR,
                      'optimize': 2,
                      
                  }
              },
    zipfile = None,
    name=common.PROGRAM_NAME,
    version=common.PROGRAM_VERSION,
    data_files = [ ('',["dbus-daemon.exe"]),  \
                    ('share/pixmaps',["../../deluge.png"]), \
                 ],
    windows=[ {'script':'deluge','icon_resources': [(0, '../../pixmaps/logo.ico')] } ])